petsc-3.4.2 2013-07-02

# PetscFunctionListAdd

Given a routine and a string id, saves that routine in the specified registry.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscFunctionListAdd(PetscFunctionList flist,const char name[],void (*fptr)(void))

Not Collective

### Input Parameters

| flist | - pointer registry
| name | - string to identify routine
| fptr | - function pointer

### Notes

To remove a registered routine, pass in a NULL fptr.

Users who wish to register new classes for use by a particular PETSc component (e.g., SNES) should generally call the registration routine for that particular component (e.g., SNESRegister()) instead of calling PetscFunctionListAdd() directly.

### See Also

PetscFunctionListDestroy(), SNESRegister(), KSPRegister(),
PCRegister(), TSRegister(), PetscFunctionList, PetscObjectComposeFunction()

Level:developer
Location:src/sys/dll/reg.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/ex8.c.html
src/ts/examples/tutorials/ex9.c.html